jvx.numeric

## Class PnOde

- java.lang.Object
- - jv.object.PsObject
  - - jvx.numeric.PnOde

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, PsUpdateIf
  Direct Known Subclasses:
    PnElasticCurvature, PnElasticOde, PnOdeExpr, PnSurfaceOde

      public class PnOde
      extends PsObject

  Basic ode class with solver. User should override the method `diffEquation` with his own ode and then call `solve(PgPolygon)`.
  See Also:
    Serialized Form
  Author:
    Konrad Polthier
  Version:
    02.10.99, 1.10 revised (kp) Moved to jvx.numeric from vgp.tutor.ode.
    00.00.98, 1.00 created (kp)

- - ### Field Summary

    - ### Fields inherited from class jv.object.PsObject

      `HAS_BOUNDARY_PANEL, HAS_CONFIG_PANEL, HAS_INFO_PANEL, HAS_LABEL_PANEL, HAS_MATERIAL_PANEL, HAS_TEXTURE_PANEL, HAS_VECTOR_PANEL, INSPECTOR_INFO, INSPECTOR_INFO_EXT, IS_DELETED, IS_FIXED, IS_FOCUSSED, IS_PICKED, IS_SELECTED, IS_USED, NUM_TAGS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PnOde()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `diffEquation(double x, double[] y, double[] dy)` Method should be overwritten y an application with problem dependent ODE.
    `void` | `init()` If instance has missing name then assign default name 'Object_NUMBER' where number is the total number of already created instances.
    `static void` | `rungeKutta(PnOde anOde, double x, double[] y, double h, double[] yOut)` 4th order Runge-Kutta method.
    `void` | `setInitialData(double x, double[] y, double h, double len)`
    `void` | `setOrder(int order)`
    `void` | `solve(PgPolygon p)`
    `static boolean` | `solve(PgPolygon p, PnOde anOde, double xStart, double[] yStart, double h, double xLength)` Ode solver of an initial value problem performing a number of RK steps.

    - ### Methods inherited from class jv.object.PsObject

      `addInspector, addUpdateListener, assureInspector, clearTag, clone, clone, clone, copy, getFather, getInfoPanel, getInspector, getName, getNumObjects, getSymbol, hasInspector, hasTag, hasUpdateListener, instanceOf, instanceOf, newInspector, newInspector, removeInspector, removeInspector, removeUpdateListener, setName, setParent, setSymbol, setTag, toString, update, updatePanels`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PnOde

          public PnOde()

  - ### Method Detail

    - #### init

          public void init()

      Description copied from class: `PsObject`
      If instance has missing name then assign default name 'Object_NUMBER' where number is the total number of already created instances.
      Overrides:
        `init` in class `PsObject`

    - #### setOrder

          public void setOrder(int order)

    - #### setInitialData

          public void setInitialData(double x,
                                     double[] y,
                                     double h,
                                     double len)

    - #### solve

          public void solve(PgPolygon p)

    - #### diffEquation

          public void diffEquation(double x,
                                   double[] y,
                                   double[] dy)

      Method should be overwritten y an application with problem dependent ODE.

    - #### solve

          public static boolean solve(PgPolygon p,
                                      PnOde anOde,
                                      double xStart,
                                      double[] yStart,
                                      double h,
                                      double xLength)

      Ode solver of an initial value problem performing a number of RK steps.

    - #### rungeKutta

          public static void rungeKutta(PnOde anOde,
                                        double x,
                                        double[] y,
                                        double h,
                                        double[] yOut)

      4th order Runge-Kutta method.

"

The software JavaView? is copyright protected. All Rights Reserved.
"